<?php
     if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
              if(RetRstField("SELECT fnid FROM tlcar WHERE ftcar_code='{$_REQUEST['fttrans_no']}'")) {
                  ?>
                  
                  alert('Kode mobil sudah dipakai... ');
            <?php
              }
              else {
                    ?>
                   
                    
                  submitbutton('Simpan','','','','');
                   
            <?php
              }
            break;
        }       
        die("");
    }
    
    Getsecurity("mobil");

    $objAxpDB->ViewName("Daftar Mobil");
    $objAxpDB->ViewSQL("SELECT a.fnid, a.ftcar_code, a.ftcar_name, b.ftbrand_name FROM tlcar a LEFT JOIN tlbrand b ON a.ftbrand_code=b.ftbrand_code ORDER BY a.ftcar_code, a.ftcar_name");
    $objAxpDB->ViewCaption("ID, Kode Mobil, Nama Mobil, Merk");
    
    $objAxpDB->FormName("Mobil"); 
    $objAxpDB->FormSQL("SELECT  ftcar_code, ftcar_name, ftbrand_code FROM tlcar");
    $objAxpDB->FormCaption(" Kode Mobil, Nama Mobil, Merk");
    $objAxpDB->FormPosition("TL, TL, TL"); 
    
    $objAxpDB->Lookup("ftbrand_code", "SELECT ftbrand_code, ftbrand_name FROM tlbrand", "ftbrand_code", "ftbrand_name", -1,true);
     
     $objAxpDB->SetStatus("id");                        
        if ($objAxpDB->GetStatus("id") == "") {
                $objAxpDB->ButtonShow("baru, cetak_daftar,  export_excel , tutup");
                
        }
        elseif ($objAxpDB->GetStatus("id") == 0) {
                $objAxpDB->ButtonShow("reset, simpan, tutup");
                $objAxpDB->FormLocked("0,0,0,1,0,0");
        }
        elseif ($objAxpDB->GetStatus("id") != 0) {
                $objAxpDB->ButtonShow("update, hapus, tutup"); 
                $objAxpDB->FormLocked("1, 0, 0");
        }
        $objAxpDB->Process();
        $objAxpDB->WriteHtmlTable();
			
?>
